/*
 *	$Header: /usr/src.yoshi/X/KTerm/4.1.0/RCS/kterm.h,v 1.1 90/06/27 09:39:07 kagotani Rel $
 */

/*
 * Copyright 1988, 1989 and 1990 XXI working group in Japan Unix Society(XXI).
 *
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of XXI not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  XXI makes no representations
 * about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * XXI DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 * ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT
 * SHALL XXI.  BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA
 * OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 * 
 * Author:
 * 	Hiroto Kagotani
 * 	Dept. of Computer Science
 *	Tokyo Institute of Technology
 * 	2-12-2 Ookayama, Meguro-ku Tokyo 152 Japan
 * 
 * 	kagotani@cs.titech.ac.jp
 * 	
 */ 
#ifndef _KTERM_H_
#define _KTERM_H_

#ifdef KTERM
# define KTERM_VERSION "4.1.0"
# define KTERM_KANJI /* deal with KANJI sequence for the child process */
# define KTERM_KCONV /* talk with {ROMAJI,KANA}->KANJI converter */
#endif /* KTERM */

#if defined(KTERM_KCONV) && !defined(KTERM_KANJI)
#  define KTERM_KANJI
#endif
#if defined(KTERM_KANJI) && !defined(KTERM)
#  define KTERM
#endif

/* gset field */
#define CS96		0x80
#define MBCS		0x40
#define MBC2		0x7f /* second byte of a mbcs character set */
#define GSET(c)		((c) - '0')
#define TESG(i)		(((i) & ~(MBCS|CS96)) + '0')
/* code field */
#define NEEDMAP		0x80
typedef struct {
	unsigned char gset;
	unsigned char code;
} Ichr; /* char for interchanging */

#define GSET_GRAPH	GSET('0')
#define GSET_UK		GSET('A')
#define GSET_ASCII	GSET('B')
#define GSET_JISROMAN	GSET('J')
#define GSET_KANA	GSET('I')
#define GSET_LATIN1R	(CS96|GSET('A'))
#define GSET_KANJI	(MBCS|GSET('B'))
#define GSET_OLDKANJI	(MBCS|GSET('@'))

#endif /* !_KTERM_H_ */
